<?xml version="1.0"?>
<!--
  *  '$RCSfile: resultset.xsl,v $'
  *      Authors: Matt Jones, CHad Berkley
  *    Copyright: 2000 Regents of the University of California and the
  *               National Center for Ecological Analysis and Synthesis
  *  For Details: http://www.nceas.ucsb.edu/
  *
  *   '$Author: jones $'
  *     '$Date: 2001/12/18 20:27:52 $'
  * '$Revision: 1.27 $'
  * 
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
  * This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to
  * convert an XML file showing the resultset of a query
  * into an HTML format suitable for rendering with modern web browsers.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html"/>
  <xsl:template match="/">
    <html>
      <head>
        <link rel="stylesheet" type="text/css" 
              href="@style-path@/default.css" />
        <script language="JavaScript">
          <![CDATA[
          function submitform(action,form_ref) {
              form_ref.action.value=action;
              form_ref.abstractpath.value="";
              form_ref.qformat.value="knb";
              form_ref.submit();
          }
          function submitform1(action, abstractpath, form_ref) {
              form_ref.action.value=action;
              form_ref.abstractpath.value=abstractpath;
              form_ref.qformat.value="";
              form_ref.submit();
          }
          function submitform2(action, qformat, form_ref) {
              form_ref.action.value=action;
              form_ref.qformat.value=qformat;
              form_ref.abstractpath.value="";
              form_ref.submit();
          }
          ]]>
        </script>
      </head>

      <body>
        <table width="100%">
          <tr>
            <td rowspan="2"><img src="@web-base-url@/images/KNBLogo.gif"/></td>
            <td colspan="7"><div class="title">Biocomplexity Data Search</div>
            </td>
          </tr>
          <tr>
            <td><a href="@web-base-url@" class="toollink"> KNB </a></td>
            <td><a href="@web-base-url@/data.html" class="toollink"> 
                Data </a></td>
            <td><a href="@web-base-url@/people.html" class="toollink"> 
                People </a></td>
            <td><a href="@web-base-url@/informatics" class="toollink"> 
                Informatics </a></td>
            <td><a href="@web-base-url@/biodiversity" class="toollink"> 
                Biodiversity </a></td>
            <td><a href="@web-base-url@/education" class="toollink"> 
                Education </a></td>
            <td><a href="@web-base-url@/software" class="toollink"> 
                Software </a></td>
         </tr>
         <tr>
          <td align="right" valign="top" colspan="7">
            <form action="@html-path@/servlet/metacat" method="POST">
             Data Search: <input type="text" name="anyfield" size="10" />
             <input type="hidden" name="action" value="query" />   
             <input type="hidden" name="qformat" value="knb" />
             <input type="hidden" name="operator" value="UNION" />
            
             <input type="hidden" name="returnfield" 
              value="originator/individualName/surName" />
             <input type="hidden" name="returnfield" 
              value="originator/individualName/givenName" />
             <input type="hidden" name="returnfield" 
              value="originator/organizationName" />
             <input type="hidden" name="returnfield" 
              value="title" />
             <input type="hidden" name="returnfield" 
              value="keyword" />
             <input type="hidden" name="returndoctype"
              value="-//NCEAS//eml-dataset-2.0//EN" />
             <input type="hidden" name="returndoctype"
              value="-//NCEAS//resource//EN" />
             <input type="hidden" name="returndoctype"
              value="-//NCEAS//eml-dataset//EN" />
              <input type="hidden" name="returndoctype"
              value="-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN" />
           </form>
          </td>
        </tr>  
       </table>
        
       <p><xsl:number value="count(resultset/document)" /> documents found.</p>
       <!-- This tests to see if there are returned documents,
            if there are not then don't show the query results -->
       <xsl:if test="count(resultset/document) &gt; 0">
         <center>
           <u><h2>Results</h2></u>
         </center>
          
         <table width="100%">
           <tr>
             <th class="tablehead">Title</th>
             <!-- <th class="tablehead">Action</th> -->
             <!-- <th class="tablehead">Related Documents</th> -->
             <th class="tablehead">Contacts</th>
             <th class="tablehead">Organization</th>
             <th class="tablehead">Keywords</th>
           </tr>
        
         <xsl:for-each select="resultset/document">
           <xsl:sort select="title"/>
           <tr valign="top">
             <xsl:attribute name="class">
               <xsl:choose>
                 <xsl:when test="position() mod 2 = 1">rowodd</xsl:when>
                 <xsl:when test="position() mod 2 = 0">roweven</xsl:when>
               </xsl:choose>
             </xsl:attribute>

<!--
             <td>
               <xsl:value-of select="./param[@name='title']"/>
               <br/>
               <p><pre>Document ID: <xsl:value-of select="./docid"/></pre></p>
             </td>
-->
             <td>
               <form action="@html-path@/servlet/metacat" method="POST">
                 <xsl:attribute name="name">
                   <xsl:value-of select="translate(./docid,'.','')"/>
                 </xsl:attribute>
                 <!-- abstractpath tells the servlet where the abstract is in 
                      the document.  The % sign is used because the path could 
                      be resource/literature or resource/dataset. -->
                 <!-- specified down IN javascript:submitform1('read',abstractpath,docid) -->
                 <input type="hidden" name="abstractpath" />
                 <!-- specified down IN javascript:submitform2('read','zip',docid) -->
                 <input type="hidden" name="qformat" />
                 <input type="hidden" name="action" value="read"/>
                 <input type="hidden" name="docid">
                   <xsl:attribute name="value">
                     <xsl:value-of select="./docid"/>
                   </xsl:attribute>
                 </input>
                 <xsl:for-each select="./relation">
                   <input type="hidden" name="docid">
                     <xsl:attribute name="value" >
                       <xsl:value-of select="./relationdoc" />
                     </xsl:attribute>
                   </input>
                 </xsl:for-each>

                 <a>
                   <xsl:attribute name="href">javascript:submitform('read',document.<xsl:value-of select="translate(./docid, '.', '')"/>)</xsl:attribute>
                   <xsl:value-of select="./param[@name='title']"/>
                 </a><br />
                 <br/>
                 <p><pre>Document ID: <xsl:value-of select="./docid"/></pre></p>
<!--
                 <a>
                   <xsl:attribute name="href">javascript:submitform1('read','resource/%/abstract',document.<xsl:value-of select="translate(./docid,'.','')"/>)</xsl:attribute>
                   View Abstract
                 </a><br />
                 <a>
                   <xsl:attribute name="href">javascript:submitform2('read','zip',document.<xsl:value-of select="translate(./docid,'.','')"/>)</xsl:attribute>
                    Download Data and Metadata
                 </a><br />
-->
               </form>
             </td>
<!--
             <td>
               <xsl:if test="count(./relation) &gt; 0">
                 <xsl:for-each select="./relation">
                   <a>
                     <xsl:if test="starts-with(./triple, 'http')">
                       <xsl:attribute name="href">
                         <xsl:value-of select="./relationdoc" />
                       </xsl:attribute>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-variable//EN'">
                         Variable Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-entity-2.0//EN'">
                         Table Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-physical-2.0//EN'">
                         File Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-distribution-2.0//EN'">
                         Distribution Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-access-2.0//EN'">
                         Access Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-context//EN'">
                         Context Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-software-2.0//EN'">
                         Software Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-status//EN'">
                         Status Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-supplement//EN'">
                         Supplemental Information
                       </xsl:if>
-->
                       <!-- If the doctype is null, this file is assumed to 
                            be a data file
                        -->
<!--
                       <xsl:if test="./relationdoctype = 'null'">
                         Data File
                       </xsl:if>
                     </xsl:if>
                     <xsl:if test="starts-with(./triple, '')">
                       <xsl:attribute name="href">
                         <xsl:text>@server@@servlet-path@?action=read&amp;qformat=knb&amp;docid=</xsl:text>
                         <xsl:value-of select="./relationdoc" />
                       </xsl:attribute>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-variable//EN'">
                         Variable Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-entity-2.0//EN'">
                         Table Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-physical-2.0//EN'">
                         File Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-distribution-2.0//EN'">
                         Distribution Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-access-2.0//EN'">
                         Access Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-context//EN'">
                         Context Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-software-2.0//EN'">
                         Software Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-status//EN'">
                         Status Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-supplement//EN'">
                         Supplemental Information
                       </xsl:if>
-->
                       <!-- If the doctype is null, this file is assumed to 
                            be a data file
                        -->
<!--
                       <xsl:if test="./relationdoctype = 'null'">
                         Data File
                       </xsl:if>
                     </xsl:if>
                   </a>
                   <br/>
                 </xsl:for-each>  
               </xsl:if>
               <xsl:text> </xsl:text>
             </td>
-->
             <td>
               <xsl:for-each select="./param[@name='originator/individualName/surName']" >  
                 <xsl:value-of select="." />
                 <br/>

               </xsl:for-each>
               <xsl:text> </xsl:text>
             </td>
             <td>
                 <xsl:value-of select=
                 "./param[@name='originator/organizationName']"                 />
                 <xsl:text> </xsl:text>
             </td>
  
             <td>
               <xsl:for-each
                select="./param[@name='keyword']">
                 <xsl:value-of select="." />
                 <br/>
               </xsl:for-each>
               <xsl:text> </xsl:text>
             </td>
           </tr>

          </xsl:for-each>
          </table>

       </xsl:if>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>
